Webhook
Edit Webhook
Edit webhook
PUT
/
webhook
/
{id}
cURL
curl --request PUT \
--url https://api.swervpay.co/api/v1/webhook/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"events": [],
"url": "<string>"
}
'import requests
url = "https://api.swervpay.co/api/v1/webhook/{id}"
payload = {
"description": "<string>",
"events": [],
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', events: [], url: '<string>'})
};
fetch('https://api.swervpay.co/api/v1/webhook/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
bill.completed, bill.failed, bill.processed, card.authorization, card.charges, card.contactless.activation, card.created, card.created.failed, card.freezed, card.terminated, card.transaction, card.unfreezed, card.updated, checkout.completed, checkout.failed, collection.completed, collection.created, collection.created.failed, collection.failed, collection.notification, collection.updated, customer.created, customer.kyc.updated, customer.updated, payout.completed, payout.failed, payout.processed, payout.processing, payout.reversed, wallet.created, wallet.updated Response
OK
Was this page helpful?
⌘I
cURL
